%define snapshot .svn550

Name:		vpnc
Version:	0.5.3
Release:    1%{?dist}
Summary:	IPSec VPN client compatible with Cisco equipment
License:	GPLv2+
URL:		http://www.unix-ag.uni-kl.de/~massar/vpnc/

Source0:	http://www.unix-ag.uni-kl.de/~massar/vpnc/%{name}-%{version}%{snapshot}.tar.gz
Source1:	generic-vpnc.conf
Source2:	vpnc.consolehelper
Source3:	vpnc-disconnect.consolehelper
Source4:	vpnc.pam
Source5:	vpnc-helper
Source8:	%{name}-tmpfiles.conf
Source99:	fetch-sources.sh

Patch1:		vpnc-0.5.1-dpd.patch
Patch2:		vpnc-0.5.3-use-autodie.patch

BuildRequires: make
BuildRequires:  gcc
BuildRequires:	libgcrypt-devel > 1.1.90
BuildRequires:	gnutls-devel
BuildRequires:	perl-interpreter
BuildRequires:	perl(autodie)
BuildRequires:	perl(filetest)
BuildRequires:	perl(if)
BuildRequires: systemd
Requires:	iproute vpnc-script

%description
A VPN client compatible with Cisco's EasyVPN equipment.

Supports IPSec (ESP) with Mode Configuration and Xauth.  Supports only
shared-secret IPSec authentication, 3DES, MD5, and IP tunneling.

%package consoleuser
Summary:	Allows console user to run the VPN client directly
Requires:	vpnc = %{version}-%{release}
Requires:	usermode

%description consoleuser
Allows the console user to run the IPSec VPN client directly without
switching to the root account.

%prep
%autosetup

%build
CFLAGS="$RPM_OPT_FLAGS -fPIE" LDFLAGS="$RPM_OPT_FLAGS -pie" make PREFIX=/usr

%install
make install DESTDIR="%{buildroot}" PREFIX=/usr
rm -f %{buildroot}%{_bindir}/pcf2vpnc
chmod 0644 pcf2vpnc
rm -f %{buildroot}%{_mandir}/man1/pcf2vpnc.1
chmod 0644 %{buildroot}%{_mandir}/man8/vpnc.8
install -m 0600 %{SOURCE1} %{buildroot}%{_sysconfdir}/vpnc/default.conf
install -Dp -m 0644 %{SOURCE2} \
    %{buildroot}%{_sysconfdir}/security/console.apps/vpnc
install -Dp -m 0644 %{SOURCE3} \
    %{buildroot}%{_sysconfdir}/security/console.apps/vpnc-disconnect
install -Dp -m 0644 %{SOURCE4} \
    %{buildroot}%{_sysconfdir}/pam.d/vpnc
install -Dp -m 0644 %{SOURCE4} \
    %{buildroot}%{_sysconfdir}/pam.d/vpnc-disconnect
install -m 0755 %{SOURCE5} \
    %{buildroot}%{_sbindir}/vpnc-helper
mkdir -p %{buildroot}%{_bindir}
ln -sf consolehelper %{buildroot}%{_bindir}/vpnc
ln -sf consolehelper %{buildroot}%{_bindir}/vpnc-disconnect
rm -f %{buildroot}%{_datadir}/doc/vpnc/COPYING
rm -f %{buildroot}%{_sysconfdir}/vpnc/vpnc-script

mkdir -p %{buildroot}%{_tmpfilesdir}
install -m 0644 %{SOURCE8} %{buildroot}%{_tmpfilesdir}/%{name}.conf

%files
%license COPYING
%doc README pcf2vpnc pcf2vpnc.1

%{_tmpfilesdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/vpnc/default.conf
%{_sbindir}/vpnc
%{_bindir}/cisco-decrypt
%{_sbindir}/vpnc-disconnect
%{_mandir}/man8/vpnc.*
%{_mandir}/man1/cisco-decrypt.*

%files consoleuser
%config(noreplace) %{_sysconfdir}/security/console.apps/vpnc*
%config(noreplace) %{_sysconfdir}/pam.d/vpnc*
%{_bindir}/vpnc*
%{_sbindir}/vpnc-helper


%changelog
* Wed Aug 14 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.3-1
- initial build
